<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require_once "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

	$codigo="";
	$nombre="";
	$esCliente="";
	$esProv="";
	$tipo_proveedor="";
	$dias_pago="";
	
if(isset($_POST["id"]))
{
	$query="Select tipo_proveedor, dias_pago, rfc_cliente, nombre_cliente,esCliente,esProv from clienteweb where rfc_cliente='".$_POST["id"]."' LIMIT 1";
	$rquery=mysqli_query($conexion->CONEXION,$query);
	if(mysqli_num_rows($rquery) == 1)
	{
		$temp=mysqli_fetch_assoc($rquery);
		$codigo=$temp["rfc_cliente"];
		$nombre=$temp["nombre_cliente"];
		$esCliente=$temp["esCliente"];
		$esProv=$temp["esProv"];
		$tipo_proveedor=$temp["tipo_proveedor"];
		$dias_pago=$temp["dias_pago"];
	}
}
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_6(document).ready(function() {
	$j_6('#loading').hide();
	
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#result').hide();
    }).ajaxStop(function() {
        $j_6('#result').fadeIn('slow');
		$j_6('#loading').hide();
    });
	
		/*$j_3('#formProveedor').ajaxForm(function(data) {
						$j_3('#result').html(data);
						$j_3('#loading').hide();
		});*/
		
		$j_6('#form, #fat, #formProveedor').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            success: function(data) {
					$j_6('#result').html(data);
					$j_6('#loading').hide();
            }
        })
        
        return false;
    });
		
});

</script>
<table>
		<tr>
		<td valign="top" class="txt_logindat" width="800" height="35"><div id="result"></div></td>
		</tr>
</table>
<table bgcolor="#FFFFFF">
		<tr>
			<td valign="top" class="txt_logindat" align="center"><center><h2>CONFIGURACION DE PROVEEDORES</h2></center></td>
		</tr>
</table>
        <form action="altaProveedor.php" name="formProveedor" id="formProveedor">
		<INPUT TYPE="hidden" NAME="reloadGridAfterSave" id="reloadGridAfterSave" value="<?=$_POST['reloadGridAfterSave']?>">
		<INPUT TYPE="hidden" NAME="valLiga" id="valLiga" value="<?=$_GET['valLiga']?>">
        <table class="td_general" bgcolor="#FFFFFF">
		<tr>
		<td valign="top" class="txt_logindat">
			<strong>RFC: * :</strong>
			<input type="text" size="23" maxlength="13" name="codigo" id="codigo" class=":required Logers" value="<?=$codigo?>" readOnly="true"/>
        </td>
        <td valign="top" class="txt_logindat">
			<strong>Raz&oacute;n Social * :</strong>
        </td>
        <td valign="top" class="txt_logindat">
			<input type="text" size="30" name="nombre" id="nombre" class=":required Logers" value="<?=$nombre?>" readOnly="true"/>
        </td>
        </tr>
        <?if($_SESSION["tipo_portal"] == "ABSA" || $_SESSION["tipo_portal"] == "VIMIFOS"){?>
                <tr>
		<?if($_SESSION["tipo_portal"] == "ABSA"){?>
                <td valign="top" class="txt_logindat">
		<strong>D&iacute;as: Pago * :</strong>
			<input type="text" size="23" onKeyUp="onlyNums(this);" name="dias_pago" id="dias_pago" class=":required Logers" value="<?=$dias_pago?>" />
                </td>
                <?}?>
                <td valign="top" class="txt_logindat">
                <strong>Tipo Proveedor * :</strong>
                </td>
                <td valign="top" class="txt_logindat">
                                <select name="tipo_proveedor" id="tipo_proveedor" class=":required Logers">
                                        <?if($_SESSION["tipo_portal"] == "ABSA"){?>
                                            <option value="COMPRAS" <?if($tipo_proveedor=="COMPRAS"){?>selected<?}?>>COMPRAS</option>
                                        <?}else if($_SESSION["tipo_portal"] == "VIMIFOS"){?>
                                            <option value="MATERIAS PRIMAS" <?if($tipo_proveedor=="MATERIAS PRIMAS"){?>selected<?}?>>MATERIAS PRIMAS</option>
                                        <?}?>
                                            <option value="GASTOS" <?if($tipo_proveedor=="GASTOS"){?>selected<?}?>>GASTOS</option>
                                </select>
                </td>
                </tr>
	<?}?>	
        <tr>
        <td>
        <input type="submit" class="estilo_btn" value="GUARDAR"/> 
        </td>
        </tr>
		</table>
        </form>